int test_fileports()
{
	char buf[16];
	void_p file;
	char *name="test";
	file=lfsCreateFile(name,filemode_write);
	if(!file)
		return -1;
	if(ioportWrite(file,"Hello",6)!=6)
	{
		conPrintf("Unable to write 6 bytes !\n");
		ioportClose(file);
		return -1;
	}
	ioportClose(file);
	file=lfsCreateFile(name,filemode_read);
	if(ioportRead(file,buf,6)!=6)
	{
		conPrintf("Data lost !\n");
		ioportClose(file);
		return -1;
	}
	puts(buf);
	ioportClose(file);
	return 0;
}

